Package ru.bitel.bgbilling.modules.bill.client.bean

# Class XMLTreePanel.XMLTreeModel

java.lang.Object
ru.bitel.bgbilling.modules.bill.client.bean.XMLTreePanel.XMLTreeModel

All Implemented Interfaces:
  `TreeModel`

Enclosing class:
  `XMLTreePanel`

public class XMLTreePanel.XMLTreeModel extends Object implements TreeModel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLTreeModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTreeModelListener(TreeModelListener listener)`
  `Object`
  `getChild(Object parent, int index)`
  `int`
  `getChildCount(Object parent)`
  `Document`
  `getDocument()`
  `int`
  `getIndexOfChild(Object parent, Object child)`
  `Object`
  `getRoot()`
  `boolean`
  `isLeaf(Object node)`
  `void`
  `removeTreeModelListener(TreeModelListener listener)`
  `void`
  `setDocument(Document document)`
  `void`
  `valueForPathChanged(TreePath path, Object newValue)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMLTreeModel

    public XMLTreeModel()

- ## Method Details

  - ### getDocument

    public Document getDocument()

  - ### setDocument

    public void setDocument(Document document)

  - ### addTreeModelListener

    public void addTreeModelListener(TreeModelListener listener)
    Specified by:
      `addTreeModelListener` in interface `TreeModel`

  - ### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener listener)
    Specified by:
      `removeTreeModelListener` in interface `TreeModel`

  - ### getChild

    public Object getChild(Object parent, int index)
    Specified by:
      `getChild` in interface `TreeModel`

  - ### getChildCount

    public int getChildCount(Object parent)
    Specified by:
      `getChildCount` in interface `TreeModel`

  - ### getIndexOfChild

    public int getIndexOfChild(Object parent, Object child)
    Specified by:
      `getIndexOfChild` in interface `TreeModel`

  - ### getRoot

    public Object getRoot()
    Specified by:
      `getRoot` in interface `TreeModel`

  - ### isLeaf

    public boolean isLeaf(Object node)
    Specified by:
      `isLeaf` in interface `TreeModel`

  - ### valueForPathChanged

    public void valueForPathChanged(TreePath path, Object newValue)
    Specified by:
      `valueForPathChanged` in interface `TreeModel`